Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class SkinPropertiesELResolver

    java.lang.Object
      javax.el.ELResolver
          org.richfaces.skin.SkinPropertiesELResolver

    public class SkinPropertiesELResolver

extends javax.el.ELResolver

Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`SkinPropertiesELResolver()`

Method Summary
`java.lang.Class<?>` | `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class<?>` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinPropertiesELResolver

    public SkinPropertiesELResolver()

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.el.ELResolver`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType(javax.el.ELContext context,
                                                    java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.